List Transactions

GET All Transactions

Retrieve a list of transactions.

The API uses the payments and transactions tables to construct its payload.

A SALE can only have status:

  • Approved
  • Declined

A REFUND can only have status:

  • Refunded
  • Declined

Status mapping:

  • If transaction type = SALE and status = 1Approved
  • If transaction type = SALE and status = 2Declined
  • If transaction type = REFUND and status = 1Refunded
  • If transaction type = REFUND and status = 2Declined

Note: Transactions with transactions.status = 0 (Processing/Pending transactions) are not returned.

Parameters

ParameterRequiredTypeDescription
datetime_startnodate or datetime stringFormat: YYYY-MM-DD or datetime string
datetime_endnodate or datetime stringFormat: YYYY-MM-DD or datetime string
global_on_idnointegerGlobal ON identifier
user_idnointegerUser identifier
statusnoenumFilters the results by the status of the transactions.
Allowed values: approved, refunded, declined
transaction_statusnointegerTransaction status filter.
1 = APPROVED
2 = DECLINED
3 = PENDING_REVIEW
4 = CAPTURED
5 = REJECTED
6 = REFUNDED
7 = PARTIALLY_REFUNDED
8 = VOIDED
9 = REVERSED
10 = CANCELED
11 = PENDING
pagenointegerPage number to retrieve
corporate_idno*integer*Required if location_id is not present. Should not be sent if location_id is present.
location_idno*integer*Required if corporate_id is not present. Should not be sent if corporate_id is present.
```
Path Params
string
required
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json